/* ======================================================================
 *
 * HH   HH         vr_basicgfx.glx.h
 * HH   HH         Author(s): Bill Sherman
 * HHHHHHH         Created: November 30, 1999
 * HH   HH         Last Modified: September 9, 2001 (minor edits 01/29/21)
 * HH   HH
 *
 * Header file for FreeVR basic OpenGL graphics routines.
 *
 * Copyright 2021, Bill Sherman, All rights reserved.
 * With the intent to provide an open-source license to be named later.
 * ====================================================================== */
#ifndef __VRBASICGFX_GLX_H__
#define __VRBASICGFX_GLX_H__

/* Set the default build target */
#if !defined(FREEVR) && !defined(TEST_APP) && !defined(GFX_ONLY)
#  define	FREEVR
#  undef	TEST_APP
#  undef	GFX_ONLY
#endif

#if defined(FREEVR)
#  include "vr_visren.h"	/* just for vrRenderInfo type -- only using "eye" field */
#endif

#ifdef __cplusplus
extern "C" {
#endif

void	vrShapeGLCube();
void	vrShapeGLCubeOpen();
void	vrShapeGLCubeOutline();
void	vrShapeGLCubePlusOutline();
void	vrShapeGLPyramid();
void	vrShapeGLPyramidOutline();
void	vrShapeGLPyramidPlusOutline();
void	vrShapeGLFloor();
void	vrGLReportAttributes(char *msg, unsigned long reports);
#if defined(FREEVR)
void	vrGLRenderDefaultSimulator(vrRenderInfo *renderinfo, int mask);
#endif

#ifdef __cplusplus
}
#endif

#endif /* __VRBASICGFX_GLX_H__ */
