/* ======================================================================
 *
 * HH   HH         vr_utils.h
 * HH   HH         Author(s): John Stone, Bill Sherman
 * HHHHHHH         Created: August 10, 2000
 * HH   HH         Last Modified: May 5, 2021
 * HH   HH
 *
 * Header file for miscellaneous machine and operating system dependent
 * utility routines.
 *
 * Copyright 2021, Bill Sherman, All rights reserved.
 * With the intent to provide an open-source license to be named later.
 * ====================================================================== */
#ifndef __VRUTILS_H__
#define __VRUTILS_H__

#ifdef __cplusplus
extern "C" {
#endif


/***********************/
/*** Exec operations ***/
void	vrShellCmd(char *cmdstr, char *name, int pid, int error_code);

/***********************/
/*** Time operations ***/
void	vrSleep(long useconds);

/************************************/
/*** String conversion operations ***/
#ifndef vrAtoI /* don't declare vrAtoI if it has been defined as an alias for atoi() */
long	vrAtoI(char *str);
#endif
void	*vrAtoP(char *str);
char	*vrBinaryToString(unsigned int val, int len, char *str);
char	*vrProcessString(char *string);
char	*vrPrintableString(char *string);
int	vrStringCharWidth(char *str);
int	vrStringCharHeight(char *str);
int	vrSearchStringList(char *item, int list_length, char *list[]);
int	vrSearch256StringList(char *item, int list_length, char list[][256]);

/**********************************/
/*** Data conversion operations ***/
void	vrEndianSwap4(void *bytes);
void	vrEndianSwap8(void *bytes);


#ifdef __cplusplus
}
#endif

#endif /* __VRUTILS_H__ */
